%define major 1
%define libselinux_name   %mklibname selinux %{major}
%define libselinux_devel  %mklibname selinux -d

Name:           ocaml-augeas
Version:        0.5
Release:        %mkrel 9
Summary:        OCaml bindings for Augeas configuration API
License:        LGPLv2+ with linking exception
Group:          Development/OCaml
URL:            http://et.redhat.com/~rjones/augeas/
Source0:        http://et.redhat.com/~rjones/augeas/files/ocaml-augeas-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  augeas-devel >= 0.1.0
BuildRequires:  chrpath
BuildRequires:  %libselinux_devel

%description
Augeas is a unified system for editing arbitrary configuration
files. This provides complete OCaml bindings for Augeas.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       augeas-devel
Requires:       %libselinux_devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs

# The upstream 'make install' rule is missing '*.so' and distributes
# '*.cmi' instead of just the augeas.cmi file.  Temporary fix:
#make install
ocamlfind install augeas META *.mli *.cmx *.cma *.cmxa *.a augeas.cmi *.so

strip $OCAMLFIND_DESTDIR/stublibs/dll*.so
chrpath --delete $OCAMLFIND_DESTDIR/stublibs/dll*.so

%files
%doc COPYING.LIB
%dir %{_libdir}/ocaml/augeas
%{_libdir}/ocaml/augeas/META
%{_libdir}/ocaml/augeas/*.cma
%{_libdir}/ocaml/augeas/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc html
%{_libdir}/ocaml/augeas/*.a
%{_libdir}/ocaml/augeas/*.cmxa
%{_libdir}/ocaml/augeas/*.cmx
%{_libdir}/ocaml/augeas/*.mli


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.5-9.mga5
+ Revision: 746776
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-8.mga5
+ Revision: 682986
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5-7.mga4
+ Revision: 508389
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5-6.mga3
+ Revision: 361147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 blue_prawn <blue_prawn> 0.5-5.mga3
+ Revision: 302502
- rebuild for new ocaml 4.00
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sun Sep 30 2012 blue_prawn <blue_prawn> 0.5-2.mga3
+ Revision: 300841
- build requires libselinux-devel
- build requires libselinux-devel
- mageia-ise the spec file
- new rpm group for ocaml
- updated to last version 0.5

* Sun Dec 04 2011 malo <malo> 0.4-2.mga2
+ Revision: 176048
- spec clean-up
- adding missing Requires augeas-devel

* Sun Nov 06 2011 malo <malo> 0.4-1.mga2
+ Revision: 164234
- imported package ocaml-augeas


* Thu Aug 13 2009 Florent Monnier <blue_prawn@mandriva.org> 0.4-1mdv2010.0
+ Revision: 415795
- corrected group
- imported from fedora's spec file by Richard Jones

